JaxbTemporalType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbTemporalType

    java.lang.Object
      java.lang.Enum<JaxbTemporalType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbTemporalType

All Implemented Interfaces:
  Serializable, Comparable<JaxbTemporalType>

    public enum JaxbTemporalType

extends Enum<JaxbTemporalType>

Java class for temporal-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="temporal-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="DATE"/>
         <enumeration value="TIME"/>
         <enumeration value="TIMESTAMP"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DATE`
`TIME`
`TIMESTAMP`

Method Summary
`static JaxbTemporalType` | `fromValue(String v)`
`String` | `value()`
`static JaxbTemporalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbTemporalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATE

    public static final JaxbTemporalType DATE

### TIME

    public static final JaxbTemporalType TIME

### TIMESTAMP

    public static final JaxbTemporalType TIMESTAMP

Method Detail

### values

    public static JaxbTemporalType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbTemporalType c : JaxbTemporalType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbTemporalType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbTemporalType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.